@echo off
if exist %1 goto continue
echo file not found : %1
goto exit

:continue
pushd
c:
call alg1
copy %1 c:\tmp\plotf.dwg
cd \dplot
dplot c:\tmp\plotf.dwg fp.dev
cd \pmi
printgl /FL /MF1 /J27,40,115,49,81 /O2 /LF6.90,10.20,0.7,0.7 /WA /P c:\tmp\plotf.dpl
del c:\tmp\plotf.*
popd

:exit